WPParserInternal::Line Struct Reference

Internal: class to store the line properties. More...

## Public Member Functions

| Line ()

## Public Attributes

int | m_firstChar
| the first character More...
int | m_height
| the height More...
int | m_width
| the width More...
int | m_maxFontSize
int | m_flags [4]
| the maximum font size More...

## Friends

std::ostream & | operator<< (std::ostream &o, Line const &l)
| operator<< More...

## Detailed Description

Internal: class to store the line properties.

## Constructor & Destructor Documentation

WPParserInternal::Line::Line | ( |  | ) |

inline

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Line const & | l
| ) |  |

friend

operator<<

## Member Data Documentation

int WPParserInternal::Line::m_firstChar

the first character

Referenced by WPParser::readLines().

int WPParserInternal::Line::m_flags[4]

the maximum font size

some flag

Referenced by Line(), and WPParser::readLines().

int WPParserInternal::Line::m_height

the height

Referenced by WPParser::readLines().

int WPParserInternal::Line::m_maxFontSize

Referenced by WPParser::readLines().

int WPParserInternal::Line::m_width

the width

Referenced by WPParser::readLines().

The documentation for this struct was generated from the following file:

- WPParser.cxx